<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:utils="com.quisapps.jira.fieldsecurity.filter.processor.IssueNavigatorRSSIssuesProcessor"
    exclude-result-prefixes="utils">
  <xsl:output method="xml" encoding="UTF-8" indent="no"/>
  
  <xsl:template match="@*|node()|comment()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()|comment()"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="/rss/channel/item/description" priority="1">
    <xsl:copy>
      <xsl:value-of select="utils:applyIssuePrintViewFilter(text())"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>